jQuery(function($){

	function getFeeds(){
		$('.loader').show();
		$(".feed-collection").html('');

		var findText = 'http://www.crimea9.ru/feed/'.replace(/&quot;/ig, ' ');

		var method = 'load' ;

		var url = /http:\/\/.*?\/.*/.test(findText)
			? findText : 'http://news.google.com/news?q='+encodeURIComponent(findText)+'&output=rss';


		var li_template =
			'<div href="{{link}}" class="collection-item" >' +
			'<span class="title"> {{title}}</span>' +
			'<div class="feed-content">{{img}} {{contentSnippet}}</div>'+
			'</div>';

		$.getFeed({
			url: url,
			success: function (jfeed) {
				var json = jfeedToGfeed(jfeed);
				var entriesn = json["responseData"]["feed"]["entries"];
				if(json["responseData"] != undefined && entriesn != undefined)
				{
					var rss = '';

					for(var i=0; i<entriesn.length; i++)
					{
						entriesn[i]['class'] =
							i == 0? ' class="first" ' : i == entriesn.length -1 ? ' class="end" ' : '';

						entriesn[i]['img'] = '';

						if(entriesn[i]["mediaGroups"] != undefined && /^image/.test(entriesn[i]["mediaGroups"][0]["contents"][0]["type"]))
						{
							entriesn[i]['img'] = '<img src="'+entriesn[i]["mediaGroups"][0]["contents"][0]["url"]+'" alt="" class="news" />';
						} else {
							try{
								var $img = $(entriesn[i]['content']).find('img').addBack('img').eq(0);
								if($img.length){
									var src = $img.attr('src');
									if(src){
										if(src.indexOf('//') == 0){
											src = 'http:' + src;
										}
										entriesn[i]['img'] = '<img src="'+src+'"/>'
									}
								}
							} catch(e){}
						}
						try{
							entriesn[i]['contentSnippet'] = $(entriesn[i]['contentSnippet']).text();
						} catch(e){

						}

						rss += li_template.replace(/{{(\w+)}}/ig, function(search, key){
							return entriesn[i][key];
						});
					}

					$('.loader').hide();
					$(".feed-collection").html(rss);
				}
			},
			error: function(xhr,text,error){
				$('.loader').hide();
			}
		});
	}

	getFeeds();
	$('#refresh-feed').click(getFeeds);

	$('body').on('click','.collection-item',function(){
		window.location = $(this).attr('href');
	})
});